SHA3-512
=========

SHA3-512 belongs to the SHA-3 family of cryptographic hashes, as specified
in `FIPS 202`__.

The hash function produces the 512 bit digest of a message::

    >>> from Crypto.Hash import SHA3_512
    >>>
    >>> h_obj = SHA3_512.new()
    >>> h_obj.update(b'Some data')
    >>> print h_obj.hexdigest()

.. __: http://nvlpubs.nist.gov/nistpubs/FIPS/NIST.FIPS.202.pdf

*SHA* stands for Secure Hash Algorithm.

.. automodule:: Crypto.Hash.SHA3_512
    :members:
